﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


using HeuristicLab.Common;
using HeuristicLab.Core;
namespace HeuristicLab.Clients.Hive.Administration {
  [Item("Hive Administration", "Hive Administration")]
  public class HiveAdministrationClient : Item {

    public HiveAdministrationClient() { }


    protected HiveAdministrationClient(HiveAdministrationClient original, Cloner cloner)
      : base(original, cloner) {
      //TODO: clone
    }
    public override IDeepCloneable Clone(HeuristicLab.Common.Cloner cloner) {
      return new HiveAdministrationClient(this, cloner);
    }


  }
}
